package cn.com.countrygarden.bi.main.service.review;

import cn.com.countrygarden.bi.main.core.Result;
import cn.com.countrygarden.bi.main.model.AccessToken;
import cn.com.countrygarden.bi.main.model.sys.Function;
import cn.com.countrygarden.bi.main.model.review.ReviewQuestionnaireProblemClassification;
import tk.mybatis.mapper.entity.Condition;
import tk.mybatis.mapper.entity.Example;
/**
 * 问题分类-业务逻辑层
 *
 * @author 汤婷
 * @email www.justintoforest@gamail.com
 * @url 
 * @date 2018-06-25
 */
public interface ReviewQuestionnaireProblemClassificationService {

    Result queryPageList(ReviewQuestionnaireProblemClassification reviewQuestionnaireProblemClassification, int page, int size);

    Result queryById(Integer id);

    Result add(ReviewQuestionnaireProblemClassification reviewQuestionnaireProblemClassification, AccessToken accessToken);

    Result edit(ReviewQuestionnaireProblemClassification reviewQuestionnaireProblemClassification, AccessToken accessToken);

    Result del(Integer id);
    
    Result pqpclist(Integer questionnaireId);
}